.gototop {
    width: 46px;
    height: 26px;
    text-align: center;
    position: fixed;
    bottom: 20px;
    right: 10px;
    display: none;
    padding: 0;
    background-color: #7f7f7f;
    text-decoration: none;
    border-radius: 5px;
    z-index: 999;
    /* 確保在最上層 */
}

/* 載入畫面樣式 */
#loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    /* 背景顏色 */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    /* 確保在最上層 */
    transition: opacity 0.5s ease, visibility 0.5s;
    /* 增加淡出動畫 */
}

.logo {
    width: 300px;
    /* Logo 大小 */
    animation: fadeInOut 8s ease-in-out;
    /* 使用 CSS 動畫讓Logo淡入淡出 */
}

/* 隱藏 loader 的 CSS 類別 */
#loader.hidden {
    opacity: 0;
    visibility: hidden;
}

/* Logo 淡入淡出效果 (可選) */
@keyframes fadeInOut {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

p {
    color: #262626;
    /* 85%b */
}

footer p {
    color: #fff;
}

.navbg {
    background-color: rgba(255, 255, 255, 0.65);
}

#mainNav.navbar-shrink .navbar-brand img {
    height: 1.8rem;
}

.nav-link:hover {
    color: #8ea504;
}

.carousel-image {
    width: 100%;
    height: 100vh;
    object-fit: cover;
    object-position: center;
}

.carousel-indicators {
    margin-bottom: 1.5rem;
}

.carousel-caption {
    text-align: left;
    left: 3%;
    right: 3%;
}

.carousel-caption p {
    font-size: 1.5rem;
    color: #fff;
}

.btn_more {
    text-decoration: none;
    font-size: 1.5rem;
}


/* about.html */
.aboutbg1 {
    background-image: url(../images/about/about_bg1.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: right 10rem;
}

.aboutbg2 {
    background-image: url(../images/about/about_bg2.png);
    background-repeat: no-repeat;
    background-position: 0 10rem;
}

.aboutbg3 {
    background-image: url(../images/about/about_bg3.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

.aboutbg4 {
    background-image: url(../images/about/about_bg4.jpg);
    background-repeat: no-repeat;
    background-position: bottom;
}



/* about.html */



/* projects.html */
.underline {
    height: 3px;
    width: 100px;
    background-color: #f7941d;
}

.btn {
    border: none;
}

.btn.active {
    color: #8ea504;
}

.btn:focus {
    outline: none !important;
    box-shadow: none !important;
    color: #8ea504 !important;
}

.btn-primary {
    /* background-color: #fff!important; */
    border: none;
}

.btn-primary:hover {
    background-color: #f7941d !important;
    color: #fff !important;
    border: none;
}

.product-img a {
    color: rgb(0, 0, 0, 0.85);
    text-decoration: none;
}

.product-img a p {
    margin-bottom: 0;
}

.product-img img {
    filter: grayscale(100%);
}

.product-img img:hover {
    filter: none;
}

.w-15 {
    width: 15% !important;
}

.casetitle h1 {
    font-size: 2rem;
    font-weight: normal;
}

.casetitle h2 {
    font-size: 1.8rem;
    font-weight: lighter;
    color: #423936;
}

.tableword {
    font-size: 1.2rem;
}

.caselist {
    color: #898585 !important;
}

.btn_back {
    width: 9rem;
    border-bottom: 3px solid #8ea504;
    margin-right: 10rem;
}

.btn_back a {
    color: #262626;
    font-size: 1.3rem;
    text-decoration: none;
    display: block;
    padding-right: 0.5rem;
}


/* prjects.html */




/* service.html */
.pagetitle p {
    font-size: 2.5rem;
    line-height: 3rem;
    color: #262626;
    border-bottom: 3px solid #262626;
    width: 8rem;
    padding-bottom: 1.2rem;
    margin-bottom: 0.8rem;
}

.pagetitle h6 {
    font-size: 1.2rem;
    color: #808080;
}

.aitem h5 {
    display: inline-block;
    font-size: 1.5rem;
    color: #262626;
    vertical-align: middle;
    /* padding-left: 0.5rem; */
    font-weight: normal;
}

.aitem h6 {
    padding-left: 1.5rem;
    padding-bottom: 0.5rem;
    color: #808080 !important;
    font-size: 1rem;
    font-weight: normal;
    letter-spacing: 1px;
}

.aitem p {
    padding-left: 1.5rem;
    font-size: 1.1rem;
    color: #8ea504;
    font-weight: lighter;
}

.bitem h5 {
    display: inline-block;
    font-size: 1.5rem;
    color: #262626;
    vertical-align: middle;
}

.bitem h5 span {
    color: #8ea504;
    padding-right: 0.8rem;
}

.bitem p {
    padding-left: 2.5rem;
    font-size: 1.2rem;
    color: #808080;
    font-weight: normal;
}


/* service.html */




/* contact.html */
.form-group {
    display: flex;
    align-items: baseline;
}

label {
    width: 8rem;
}

.btn_submit {
    color: #262626;
    border: 2px solid #262626;
    background-color: #fff;
    width: 5rem;
}

/* contact.html */